pyDischarge is a collaboration-driven Python package providing tools for
studying data from ground-based gravitational-wave detectors.

pyDischarge provides a user-friendly, intuitive interface to the common
time-domain and frequency-domain data produced by the LIGO and Virgo
observatories and their analyses, with easy-to-follow tutorials at each
step.

<https://pydischarge.github.io>

# Release status

[![PyPI version](https://badge.fury.io/py/pydischarge.svg)](http://badge.fury.io/py/pydischarge)
[![Conda version](https://img.shields.io/conda/vn/conda-forge/pydischarge.svg)](https://anaconda.org/conda-forge/pydischarge/)

[![DOI](https://zenodo.org/badge/9979119.svg)](https://zenodo.org/badge/latestdoi/9979119)
[![License](https://img.shields.io/pypi/l/pydischarge.svg)](https://choosealicense.com/licenses/gpl-3.0/)
![Supported Python versions](https://img.shields.io/pypi/pyversions/pydischarge.svg)

# Development status

[![Build status](https://github.com/pydischarge/pydischarge/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/pydischarge/pydischarge/actions?query=branch%3Amain)
[![Coverage status](https://codecov.io/gh/pydischarge/pydischarge/branch/main/graph/badge.svg)](https://codecov.io/gh/pydischarge/pydischarge)
[![Maintainability](https://api.codeclimate.com/v1/badges/2cf14445b3e070133745/maintainability)](https://codeclimate.com/github/pydischarge/pydischarge/maintainability)

# Installation

To install, you can do:

```
conda install -c conda-forge pydischarge
```

or

```
python -m pip install pydischarge
```

You can test your installation, and its version by

```
python -c "import pydischarge; print(pydischarge.__version__)"
```

# License

pyDischarge is released under the GNU General Public License v3.0 or later, see [here](https://choosealicense.com/licenses/gpl-3.0/) for a description of this license, or see the [LICENSE](https://github.com/pydischarge/pydischarge/blob/main/LICENSE) file for the full text.
